View Issue Details

IDProjectCategoryView StatusLast Update
0004387SymmetricDSImprovementpublic2020-06-04 13:55
ReporterpmarzulloAssigned Topmarzullo 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.11 
Target Version3.10.12Fixed in Version3.10.12 
Summary0004387: Raima: Convert to auto-commit all of the time
DescriptionWhen data loading, records being inserted/updated/deleted update a system catalog that tracks index information.

When done with a table, and going onto the next table, the index information is locked and can not be queried, even on the same connection.

Because of that, we need to convert this dialect to a auto-commit dialect.
Tagsdialect: raima

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 620a96ab

2020-05-05 10:29:23

Philip Marzullo

Details Diff
0004387: Raima: Convert to auto-commit all of the time
0004387
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/raima/RaimaDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/raima/RaimaJdbcSqlTemplate.java Diff File

Issue History

Date Modified Username Field Change
2020-05-05 10:24 pmarzullo New Issue
2020-05-05 10:24 pmarzullo Status new => assigned
2020-05-05 10:24 pmarzullo Assigned To => pmarzullo
2020-05-05 10:24 pmarzullo Tag Attached: dialect: raima
2020-05-05 10:31 pmarzullo Status assigned => resolved
2020-05-05 10:31 pmarzullo Resolution open => fixed
2020-05-05 10:31 pmarzullo Fixed in Version => 3.10.12
2020-05-26 12:36 elong Status resolved => closed
2020-06-04 13:55 Changeset attached => SymmetricDS 3.10 620a96ab